Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Key-Value Store
  • Custom Entity Store
  • Transaction
  • Batch
Platform
Forge / Reference / KVS/Custom Entity Store API

Transaction

Postman Collection
OpenAPI

The Transaction API allows you to perform multiple operations on key-value pairs and/or custom entities in a single atomic transaction. This ensures that either all operations succeed or none do, maintaining data integrity.

POST

Execute transaction

Lets you perform a series of Key-Value Store and/or Custom Entity Store operations that must all succeed or fail together. This method supports 3 types of operations:

  • create or update data
  • delete data
  • check whether a specific Custom Entity condition is true

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

set

array<anyOf [SetTransactionTypedItemSchema, SetTransactionUntypedItemSchema]>

delete

array<anyOf [BaseTransactionTypedItemSchema, BaseTransactionUntypedItemSchema]>

check

array<allOf [BaseTransactionTypedItemSchema, object]>

Responses

Successfully completed all the node operations

POST/v1/transaction
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 curl --request POST \ --url 'https://api.atlassian.com/forge/storage/kvs/v1/transaction' \ --header 'Content-Type: application/json' \ --data '{ "set": [ { "key": "<string>", "value": "<string>", "entityName": "<string>", "conditions": {} } ], "delete": [ { "key": "<string>", "entityName": "<string>", "conditions": {} } ], "check": [ { "key": "<string>", "entityName": "<string>", "conditions": {} } ] }'

Rate this page: